ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject DO NOT REPLY [Bug 9929] - Cannot build ANT with AXIS build.xml
Date Thu, 04 Jul 2002 12:19:40 GMT
DO NOT REPLY TO THIS EMAIL, BUT PLEASE POST YOUR BUG 
RELATED COMMENTS THROUGH THE WEB INTERFACE AVAILABLE AT
<http://nagoya.apache.org/bugzilla/show_bug.cgi?id=9929>.
ANY REPLY MADE TO THIS MESSAGE WILL NOT BE COLLECTED AND 
INSERTED IN THE BUG DATABASE.

http://nagoya.apache.org/bugzilla/show_bug.cgi?id=9929

Cannot build ANT with AXIS build.xml





------- Additional Comments From bodewig@apache.org  2002-07-04 12:19 -------
Ant will use the compiler that is best suited for the JVM it is running in.
This means it will use classic for JDK 1.1 and 1.2 and modern for 1.3 and 1.4.

ant.bat will try to include classes.zip (for JDK 1.1) or tools.jar into your
CLASSPATH so that it has access to the javac implementation.  Ant does not call
javac.exe at all (unless you set fork to true) but run the compiler inside the
same VM as it is running itself.

To enable ant.bat to find tools.jar you have to set the environment variable
JAVA_HOME to point to the directory where your JDK has been installed.

"Cannot use classic compiler" can mean two things: (1) you are running JDK 1.4
and have asked Ant to use the classic compiler which is not available in 1.4
or (2) Ant couldn't find classes.zip/tools.jar - then JAVA_HOME doesn't
have the correct value.

--
To unsubscribe, e-mail:   <mailto:ant-dev-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:ant-dev-help@jakarta.apache.org>


Mime
View raw message